Bug 788067 - Review Request: utouch-evemu - Event Device Query and Emulation Program
Summary: Review Request: utouch-evemu - Event Device Query and Emulation Program
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-07 11:35 UTC by Peter Hutterer
Modified: 2018-04-11 09:24 UTC (History)
5 users (show)

Fixed In Version: evemu-1.0.10-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-02 00:18:48 UTC
mcepl: fedora-review+
mcepl: needinfo+
gwync: fedora-cvs+


Attachments (Terms of Use)
rpmbuild log (5.08 KB, text/plain)
2012-02-08 17:49 UTC, Matěj Cepl
no flags Details

Description Peter Hutterer 2012-02-07 11:35:38 UTC
Spec URL: http://people.freedesktop.org/~whot/utouch-evemu.spec
SRPM URL: http://people.freedesktop.org/~whot/utouch-evemu-1.0.8-1.fc16.src.rpm
Description: utouch-evemu is a simple utility to capture the event stream from input devices and replay that stream on a virtual input device.

Comment 1 Peter Hutterer 2012-02-07 12:16:19 UTC
Sorry, had a build error there that I didn't catch before. both files updating in the existing location.

Comment 2 Jamie Nguyen 2012-02-08 11:20:55 UTC
Some comments:

1) BuildRoot tag is no longer required
2) Removing %{buildroot} in the %install section is no longer required
3) %clean section no longer required
4) defattr in %files section is no longer required

Comment 3 Peter Hutterer 2012-02-08 14:16:14 UTC
Thanks for the comments. spec file amended as suggested above, both files re-uploaded to the same location.

Comment 4 Matěj Cepl 2012-02-08 17:49:01 UTC
Created attachment 560326 [details]
rpmbuild log

Even with src.rpm with md5 hash 79c2a3c8733d3f677d3a17501a1a5c13 (please, bump the release number next time, we have plenty of integers to use), it still doesn't build.

Comment 5 Peter Hutterer 2012-02-08 22:14:12 UTC
Updated for libtool errors. I did test the previous as scratch-build against fedora, but this one now also builds as dist-6E-epel-testing-candidate.

Spec URL: http://people.freedesktop.org/~whot/utouch-evemu.spec
SRPM URL: http://people.freedesktop.org/~whot/utouch-evemu-1.0.8-2.fc16.src.rpm

Comment 6 Matěj Cepl 2012-02-09 00:58:25 UTC
Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ MUST: rpmlint must be run on every package. The output should be posted in
the review

[test@dell-pe2950-01 rpmbuild]$ rpmlint -i utouch-evemu-1.0.8-2.fc16.src.rpm RPMS/x86_64/utouch-evemu-*
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
[test@dell-pe2950-01 rpmbuild]$ 

(note however, that with EL-6 it creates a lot of warnings; it would be good if -- before el6 is created, all those errors and warnings were reviewed)

+ MUST: package named according to the Package Naming Guidelines
+ MUST: The spec file name must match the base package %{name}
+ MUST: The package must meet the Packaging Guidelines .
+ MUST: The package licensed with a Fedora approved license and meets the
Licensing Guidelines
+ MUST: The License field in the package spec file matches the actual
license
GPLv3+
+ MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
License is included.
+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
+ MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task
SHA1: 42ee17c57b997f1a21481378ebff562f4b983de0
+ MUST: The package successfully compiles and builds into binary rpms on at
least one primary architecture - build in koji, no problems
0 MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch
+ MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines
Build in koji (http://koji.fedoraproject.org/koji/taskinfo?taskID=3733429)
0 MUST: The spec file handles locales properly. This is done by using the
%find_lang macro
No locales are present.
0 MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.
No libraries provided.
+ MUST: Packages must NOT bundle copies of system libraries
0 MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker
+ MUST: Package must own all directories that it creates. If it does not create
a directory that it uses, then it should require a package which does create
that directory
+ MUST: Package must not list a file more than once in the spec file's %files
listings
+ MUST: Each package must consistently use macros
+ MUST: The package must contain code, or permissible content
0 MUST: Large documentation files must go in a -doc subpackage
+ MUST: If a package includes something as %doc, it must not affect the runtime
of the application
0 MUST: Header files must be in a -devel package
0 MUST: Static libraries must be in a -static package
0 MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
0 MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package
0 MUST: devel packages must require the base package using a fully versioned
dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built
0 MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section
+ MUST: Packages must not own files or directories already owned by other
packages
+ MUST: All filenames in rpm packages must be valid UTF-8

APPROVED

Comment 7 Peter Hutterer 2012-02-09 07:58:08 UTC
New Package SCM Request
=======================
Package Name: utouch-evemu
Short Description: Event Device Query and Emulation Program
Owners: whot
Branches: f16

Comment 8 Gwyn Ciesla 2012-02-09 13:05:53 UTC
Git done (by process-git-requests).

Added f17.

Comment 9 Fedora Update System 2012-02-09 14:31:59 UTC
utouch-evemu-1.0.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/utouch-evemu-1.0.8-2.fc16

Comment 10 Fedora Update System 2012-02-21 01:32:21 UTC
utouch-evemu-1.0.8-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 11 Peter Hutterer 2012-07-05 23:12:19 UTC
Reopening for re-review. Cause: upstream package rename.
Old package name: utouch-evemu
New package name: evemu

Packages are identical otherwise.

spec: http://people.freedesktop.org/~whot/evemu.spec
srpm: http://people.freedesktop.org/~whot/evemu-1.0.10-1.fc18.src.rpm

Comment 12 Matěj Cepl 2012-07-28 12:16:07 UTC
setting review back to ?

Comment 13 Matěj Cepl 2012-07-28 12:17:00 UTC
Confirming, there is no packaging-relevant change aside from the change of the name and related issues (Provide, etc.).

Builds in koji http://koji.fedoraproject.org/koji/taskinfo?taskID=4338349

APPROVED

Comment 14 Peter Hutterer 2012-08-01 01:51:31 UTC
New Package SCM Request
=======================
Package Name: evemu
Short Description: Event Device Query and Emulation Program
Owners: whot
Branches: f16 f17

Comment 15 Gwyn Ciesla 2012-08-01 12:14:07 UTC
Git done (by process-git-requests).

Comment 16 Peter Hutterer 2012-08-02 00:18:48 UTC
Packages built, closing.

evemu-1.0.10-1.fc18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4349189
evemu-1.0.10-1.fc17: http://koji.fedoraproject.org/koji/taskinfo?taskID=4349195
evemu-1.0.10-1.fc16: http://koji.fedoraproject.org/koji/taskinfo?taskID=4349197

Comment 17 Fedora Update System 2012-08-02 00:20:04 UTC
evemu-1.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/evemu-1.0.10-1.fc17

Comment 18 Fedora Update System 2012-08-02 00:20:41 UTC
evemu-1.0.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/evemu-1.0.10-1.fc16

Comment 19 Fedora Update System 2012-08-10 22:27:44 UTC
evemu-1.0.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2012-08-10 22:38:21 UTC
evemu-1.0.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.